Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 953043 - [userportal] TemplateOwner can't edit template and add/edit vnic in userportal.
Summary: [userportal] TemplateOwner can't edit template and add/edit vnic in userportal.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Ondra Machacek
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-04-17 08:49 UTC by Ondra Machacek
Modified: 2016-02-10 19:35 UTC (History)
13 users (show)

Fixed In Version: vt1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:10:24 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
edit_template_dialog (deleted)
2013-04-17 08:51 UTC, Ondra Machacek
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29475 master MERGED core : TemplateOwner can't edit template and add/edit vnic in userportal. Never
oVirt gerrit 29597 master MERGED engine : Fix DAO tests TemplateOwner can't edit template and add/edit vnic in userportal. Never

Description Ondra Machacek 2013-04-17 08:49:04 UTC
Description of problem:
When user have direct TemplateOwner role on template, he can't edit template in UserPortal and also can't add/edit vnic of template.

Version-Release number of selected component (if applicable):
sf13

How reproducible:
always

Steps to Reproduce:
1. As admin create temaplate.
2. Add TemplateOwner role on template for user1.
3. Login as user1 to UserPortal, and try to add/edit vnic.
  
Actual results:
'New' and 'Edit' buttons are disabled.

Expected results:
'New' and 'Edit' buttons are enabled.

Additional info:
Works ok in user level api.

Comment 1 Ondra Machacek 2013-04-17 08:51:45 UTC
Created attachment 736723 [details]
edit_template_dialog

Comment 2 Ondra Machacek 2013-04-17 09:24:06 UTC
In user level api if user have TemplateOwner role on template directly, then he can't see cluster in which the template is. Not sure if it is related to this bz.

Comment 4 Ondra Machacek 2014-08-14 09:44:27 UTC
OK, user can add/edit template nic.

Comment 5 Eyal Edri 2015-02-17 17:10:24 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.